Skip to main content
GET
Get Decision Definition By Key

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

key
string
required

The key of the decision definition (the latest version thereof) to be retrieved.

Response

Request successful.

id
string | null

The id of the decision definition

key
string | null

The key of the decision definition, i.e., the id of the DMN 1.0 XML decision definition.

category
string | null

The category of the decision definition.

name
string | null

The name of the decision definition.

version
integer<int32> | null

The version of the decision definition that the engine assigned to it.

resource
string | null

The file name of the decision definition.

deploymentId
string | null

The deployment id of the decision definition.

tenantId
string | null

The tenant id of the decision definition.

decisionRequirementsDefinitionId
string | null

The id of the decision requirements definition this decision definition belongs to.

decisionRequirementsDefinitionKey
string | null

The key of the decision requirements definition this decision definition belongs to.

historyTimeToLive
integer<int32> | null

History time to live value of the decision definition. Is used within History cleanup.

Required range: x >= 0
versionTag
string | null

The version tag of the decision definition.